## org.bn.compiler.parser.model
Class ObjectType

    java.lang.Object
      org.bn.compiler.parser.model.ObjectType

    public class ObjectType

extends java.lang.Object

Field Summary
`java.lang.String` `accessPart`
`java.lang.String` `BUILTINTYPE`
`java.util.ArrayList` `elements`
`java.lang.String` `statusPart`
`java.lang.Object` `type`
`AsnValue` `value`

Constructor Summary
`ObjectType()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUILTINTYPE

    public final java.lang.String BUILTINTYPE

See Also:
  Constant Field Values

### accessPart

    public java.lang.String accessPart

### elements

    public java.util.ArrayList elements

### statusPart

    public java.lang.String statusPart

### type

    public java.lang.Object type

### value

    public AsnValue value

Constructor Detail

### ObjectType

    public ObjectType()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`